org.eclipse.jgit.util.io

## Class NullOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.jgit.util.io.NullOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class NullOutputStream
    extends OutputStream

An OutputStream which ignores everything written to it.

### Field Summary

Fields
`static NullOutputStream` `INSTANCE` The canonical instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(byte[] buf)`
`void` `write(byte[] buf, int pos, int cnt)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NullOutputStream INSTANCE

The canonical instance.

### Method Detail

#### write

    public void write(int b)

Specified by:
  `write` in class `OutputStream`

#### write

    public void write(byte[] buf)

Overrides:
  `write` in class `OutputStream`

#### write

    public void write(byte[] buf,
                      int pos,
                      int cnt)

Overrides:
  `write` in class `OutputStream`